pcl::poisson::MapReduceVector< T2 > Struct Template Reference

`#include <pcl/surface/3rdparty/poisson4/sparse_matrix.h>`

## Public Member Functions

| MapReduceVector (void)
| ~MapReduceVector (void)
T2 * | operator[] (int t)
const T2 * | operator[] (int t) const
int | threads (void) const
void | resize (int threads, int dim)

## Public Attributes

std::vector< T2 * > | out

## Detailed Description

### template<class T2>
struct pcl::poisson::MapReduceVector< T2 >

Definition at line 116 of file sparse_matrix.h.

## Constructor & Destructor Documentation

template<class T2>

pcl::poisson::MapReduceVector< T2 >::MapReduceVector | ( | void |  | ) |

inline

Definition at line 122 of file sparse_matrix.h.

template<class T2>

pcl::poisson::MapReduceVector< T2 >::~MapReduceVector | ( | void |  | ) |

inline

Definition at line 123 of file sparse_matrix.h.

## Member Function Documentation

template<class T2>

T2* pcl::poisson::MapReduceVector< T2 >::operator[] | ( | int | t | ) |

inline

Definition at line 128 of file sparse_matrix.h.

template<class T2>

const T2* pcl::poisson::MapReduceVector< T2 >::operator[] | ( | int | t | ) | const

inline

Definition at line 129 of file sparse_matrix.h.

template<class T2>

void pcl::poisson::MapReduceVector< T2 >::resize | ( | int | threads,
|  | int | dim
| ) |  |

inline

Definition at line 131 of file sparse_matrix.h.

Referenced by pcl::poisson::Octree< Degree >::LaplacianMatrixIteration(), and pcl::poisson::SparseSymmetricMatrix< T >::Solve().

template<class T2>

int pcl::poisson::MapReduceVector< T2 >::threads | ( | void |  | ) | const

inline

Definition at line 130 of file sparse_matrix.h.

Referenced by pcl::poisson::SparseSymmetricMatrix< T >::Multiply(), and pcl::poisson::SparseSymmetricMatrix< T >::Solve().

## Member Data Documentation

template<class T2>

std::vector< T2* > pcl::poisson::MapReduceVector< T2 >::out

Definition at line 121 of file sparse_matrix.h.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/sparse_matrix.h